No description or website provided.
Clone or download
Latest commit 13773f7 Sep 17, 2018

README.md

Build Status

Prerequisites

You will need Window or Linux. Use a virtual machine if you have a Mac. Ubuntu 14 and 16 are supported. Ubuntu 17 is not supported.

Install .NET Core.

On Linux, install the LevelDB and SQLite3 dev packages. E.g. on Ubuntu:

sudo apt-get install libleveldb-dev sqlite3 libsqlite3-dev libunwind8-dev

On Windows, use the Neo version of LevelDB.

Download pre-compiled binaries

See also official docs. Download and unzip latest release.

dotnet neo-cli.dll

Compile from source

Clone the neo-cli repository.

cd neo-cli
dotnet restore
dotnet publish -c Release

In order to run, you need version 1.1.2 of .Net Core. Download the SDK binary.

Assuming you extracted .Net in the parent folder:

../dotnet bin/Release/netcoreapp1.0/neo-cli.dll .

Usage

See documentation. E.g. try show state or create wallet wallet.db3.